## qtbase-opensource-src 5.6.1+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.6.1+dfsg-3ubuntu6~4) yakkety; urgency=medium

  [ Dmitry Shachnev ]
  * Mark allow_native_menubar.diff as applied upstream.
  * debian/patches/dbustray_cleanup_notifier.diff:
    - Fix a bug in QSystemTrayIcon code where the notifier was not cleaned
      up and the callback was called multiple times.

  [ Timo Jyrinki ]
  * debian/patches/Fix-some-QtDBus-crashes-during-application-destructi.patch
    debian/patches/Merge-the-QDBusMetaType-s-custom-information-to-QDBu.patch
    debian/patches/Make-the-bearer-QFactoryLoader-a-member-variable-not.patch:
    - More D-Bus fixes (LP: #1618590)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Sep 2016 18:14:12 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu5~1) yakkety; urgency=medium

  * debian/patches/dbusmenu-Don-t-leave-dangling-pointers-when-menus-ar.patch:
    - Fix a crasher in qdbusmenu code (LP: #1620937)
  * debian/patches/QMenuBar-Get-rid-of-QMenuBarPrivate-nativeMenuBar.patch:
    - Improve menu bar code, but for now allow_native_menubar.diff is still 
      needed.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 16 Sep 2016 05:08:05 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu4~6) yakkety; urgency=medium

  [ Timo Jyrinki ]
  * debian/patches/Make-QDBusConnectionPrivate-relaySignal-be-called-in.patch:
    - Antoher DBus fix needed for telephony-service (LP: #1620945)
  * debian/patches/Fix-gcc-Wsuggest-override-warning-on-Q_OBJECT.patch
    debian/patches/Fix-the-GCC-version-supporting-Wsuggest-override.patch:
    - Fix GCC -Wsuggest-override warning on Q_OBJECT (LP: #1619483)
  * debian/patches/Fix-parsing-of-tzfile-5-POSIX-rule-zone-names-with-b.patch:
    - Fix parsing of rule zone names for certain time zones (LP: #1622089)
  * debian/patches/Avoid-artifacts-when-hiding-or-closing-a-QOpenGLWidg.patch
    debian/patches/QtWidgets-Send-show-hide-event-to-children-on-restor.patch:
    - Fix event sending to children, hurting Oxide-Qt use on desktop
      (LP: #1613670)
  * Disable QStaticText tests for now (QTBUG-55653)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 12 Sep 2016 05:42:31 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu3~3) yakkety; urgency=medium

  [ Timo Jyrinki ]
  * debian/patches/QDBusServer-delay-processing-of-D-Bus-messages.patch:
    - Fix DBus message processing (LP: #1608822) 
  * debian/patches/xcb-Send-also-text-plain-when-a-text-uri-list-is-dro.patch:
    - Fix drag and drop from Qt to skype (LP: #1586857)
  * debian/patches/qt5-qmake-arm-linux-gnueabihf:
    - Support cross-compilation inside chroot using pkg-config (LP: #1580981)
  * debian/patches/Make-sure-connection-is-not-null-before-using-it.patch:
    - Fix unity8 crasher (LP: #1612309)
  * Update symbols with pkgkde-mark-qt5-private-symbols.
  * Disable printsupport tests that started failing but only on builders, 
    possibly with new glibc. See LP: #1612767 for details.

  [ Dmitry Shachnev ]
  * Backport some upstream patches to add support for D-Bus global menus,
    and improve support for D-Bus tray icons (LP: #1612767):
    + dbustray_use_separate_connections.diff (fix for multiple tray icons)
    + dbusmenu_exclusive_groups.diff (fix for radio actions)
    + qplatformmenubar_createmenu.diff (adding a method to QPlatformMenuBar)
    + dbusmenu_global_menu.diff (add support for D-Bus global menus)
  * Add a distro patch to stop setting AA_DontUseNativeMenuBar unconditionally
    (allow_native_menubar.diff): we want this attribute to be false by default,
    but applications should be able to override it.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 03 Sep 2016 13:58:20 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu2~1) yakkety; urgency=medium

  * Don't use gold linker on powerpc. (LP: #1611227)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Aug 2016 06:29:25 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu1~4) yakkety; urgency=medium

  * New upstream release. 
  * Migrate symbols using the script to the Qt_5 versioning scheme.
  * Update symbols and bump symbols abi.
  * Rebase and refresh enable-tests.patch.
  * Rebase qnam-ubuntu-fix6.patch.
  * Mark private symbols.
  * Drop xcb_fix_parent_screen_of_embedded_windows.patch:
    - Fixed differently in Qt 5.6.
  * Tests enablement for Qt 5.6.
  * Add arm64 to gles archs.
  * Rebase patches for 5.6.1, and drop the following:
    - Blacklist-Mali-T760-Mali-T720-from-supporting-BGRA.patch: upstreamed
    - debian/patches/detect-indicator-application.diff: upstreamed
    - debian/patches/fix-duplicate-qnam-finished.patch: folded in to the 
      remaining parts of qnam-ubuntu-fix6.patch, half of which were upstreamed 
      in Qt 5.6.1
  * Skip a test related to LP: #1603991
  * debian/patches/color-fonts.patch,
    debian/patches/fix-scalable-bitmap-factor-caching.patch:
    - Add patches required for color font rendering (LP: #1594851)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 18 Jan 2016 10:06:17 +0000

qtbase-opensource-src (5.6.1+dfsg-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make libqtcore5a break libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~), pointed
    out by Scott Kitterman.

  [ Dmitry Shachnev ]
  * Move qt5-default into libdevel section (like qtchooser itself; closes:
    #827659).
  * Move mesa-utils from Depends to Recommends (closes: #827896).
  * Add a (temporary) patch to fix the QProcessPrivate::createPipe issue on
    GNU/kFreeBSD (closes: #827935).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 23 Jun 2016 21:57:01 +0300

qtbase-opensource-src (5.6.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:20:16 -0300

qtbase-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop the following patches, applied upstream:
    - dbusmenu_fixes.diff

