=== debian/changelog ===
qtbase-opensource-src (5.7.1+dfsg-3+deb9u3) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2018-19872: A malformed PPM image causes a crash.
  * CVE-2020-17507: Buffer over-read in the XBM parser.

 -- Adrian Bunk <bunk@debian.org>  Sun, 20 Sep 2020 22:02:00 +0300

qtbase-opensource-src (5.7.1+dfsg-3+deb9u2) stretch-security; urgency=high

  * Backport fix for CVE-2020-0569: Do not load plugin from the CWD.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 30 Jan 2020 12:33:15 -0300

qtbase-opensource-src (5.7.1+dfsg-3+deb9u1) stretch-security; urgency=medium

  * Backport fixes for:
    - CVE-2018-15518: “double free or corruption” in QXmlStreamReader
    - CVE-2018-19873: QBmpHandler segfault on malformed BMP file
    - CVE-2018-19870: Check for QImage allocation failure in qgifhandler
  * Backport ensure_pixel_density_of_at_least_1.patch in order to fix VLC after
    it's security update (Closes: #907139).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 Jan 2019 11:11:01 -0300

qtbase-opensource-src (5.7.1+dfsg-3) unstable; urgency=medium

  * Backport upstream change to fix accessibility-related crashes
    (fix_accessibility_crash.diff; closes: #834750).
  * Backport upstream fix to make QGtk3Dialog not crash on Wayland
    (gtkdialogs_wayland.diff; closes: #850746).
  * Backport upstream change to stop unloading plugins in QPluginLoader
    and QFactoryLoader (stop_unloading_pluings.diff; closes: #845662).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 11 Jan 2017 18:14:40 +0300

qtbase-opensource-src (5.7.1+dfsg-2) unstable; urgency=medium

  * Backport upstream patch to fix build with gcc 6.3 and newer versions
    (gcc_6.3.diff; closes: #846996).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Dec 2016 23:36:18 +0300

qtbase-opensource-src (5.7.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream final release.
  * Refresh qsettings_XDG_CONFIG_DIRS.diff and qsettings_simplify_logic.diff.
  * Build with system libdouble-conversion library (closes: #845372).
  * Convert to automatic dbgsym packages.
  * Bump documentation build-dependencies to 5.7.1.
  * Replace 5.7.1~20161021 with 5.7.1 in the symbols files.
  * Drop one optional symbol from debian/libqt5network5.symbols.
  * Make qtbase5-dev suggest default-libmysqlclient-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove a bogus double hostdatadir entry while configuring Qt. Thanks
    Nick Shaforostoff for the bug! (Closes: 847769).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Dec 2016 17:23:44 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-6) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt5network5 depend on libssl1.0.2. It will crash when
    only newer libssl versions are installed.
  * Backport upstream patch to fix build on x32 (fix_build_on_x32.diff).
  * Merge some more entries in the update-copyright script.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 20 Nov 2016 11:28:29 -0300

qtbase-opensource-src (5.7.1~20161021+dfsg-5) unstable; urgency=medium

  * Switch libssl-dev to libssl1.0-dev. We can't yet use libssl 1.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Nov 2016 19:09:23 -0300

qtbase-opensource-src (5.7.1~20161021+dfsg-4) unstable; urgency=medium

  * Drop Build-Conflicts: libmariadbclient-dev, should be no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 16:20:07 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-3) unstable; urgency=medium

  * Change build-dependency libmysqlclient-dev → default-libmysqlclient-dev.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 13:47:12 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-2) experimental; urgency=medium

  * Backport two patches to add proper support for XDG_CONFIG_DIRS to
    QSettings; needed for LXQt transition (qsettings_simplify_logic.diff,
    qsettings_XDG_CONFIG_DIRS.diff).
  * Configure with -no-use-gold-linker on i386 to work around build failures
    of qtscript and qtgraphicaleffects (see binutils bug #842304).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Oct 2016 17:04:09 +0300

qtbase-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream snapshot.
  * Drop debian/patches/qdevicediscovery_dummy.diff, applied upstream.
  * Update the copyright script to use a stricter formula for GPL-2 license.
  * Update debian/copyright.
  * Install the qtpng static library in qtbase5-dev (following upstream).
  * Update the symbols files from amd64 build log.
  * Bump qtbase-abi version to 5-7-1.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Require pkg-kde-tools (>= 0.15.17~) to allow using backported versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 Oct 2016 21:08:52 +0300

qtbase-opensource-src (5.7.0+dfsg-3) experimental; urgency=medium

  * Replace qdevicediscovery_dummy.diff with a proper patch from upstream.
  * Update debian/libqt5dbus5.symbols once again.
  * Mark private symbols using pkgkde-mark-qt5-private-symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jul 2016 21:10:28 +0300

qtbase-opensource-src (5.7.0+dfsg-2) experimental; urgency=medium

  * Add a patch (qdevicediscovery_dummy.diff) to fix a linking error on
    GNU/kFreeBSD.
  * Add support for ARMv4 architecture, needed to get armel builds working.
  * Update debian/libqt5dbus5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2016 19:59:52 +0300

qtbase-opensource-src (5.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debian/scripts/migrate-symbols.py, no longer needed.

