=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
+               default-libmysqlclient-dev,
                dpkg-dev (>= 1.16.1),
+               firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                gdb,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
                libcups2-dev,
                libdbus-1-dev,
+               libdouble-conversion-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
@@ -25,20 +27,19 @@
                libglu1-mesa-dev | libglu-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libharfbuzz-dev,
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
                libmtdev-dev [linux-any],
-               libmysqlclient-dev,
                libpcre3-dev,
                libpng-dev,
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
                libsqlite3-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libudev-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -60,14 +61,12 @@
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.15.17),
+               pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
                unixodbc-dev,
-               xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.0~),
-                     qttools5-dev-tools (>= 5.6.0~)
-Build-Conflicts: libmariadbclient-dev
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~),
+                     qttools5-dev-tools (>= 5.7.1~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtbase.git
@@ -77,12 +76,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-6-1
+Provides: qtbase-abi-5-7-1
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5core5 (<< 5.2.0+dfsg~), libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
-Replaces: libqt5core5 (<< 5.2.0+dfsg~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -94,37 +92,35 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5svg5, mesa-utils
+Recommends: libqt5svg5, mesa-utils, qt5-gtk-platformtheme
 Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
           libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
-Suggests: libqt5libqgtk2, qt5-image-formats-plugins, qtwayland5
+Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  The QtGui module extends QtCore with GUI functionality.
 
-Package: libqt5libqgtk2
+Package: qt5-gtk-platformtheme
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5gui5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt5gui5 (<< 5.4.1+dfsg-3~)
-Replaces: libqt5gui5 (<< 5.4.1+dfsg-3~)
-Description: Qt 5 GTK2 platform theme
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package provides the GTK2 platform theme, which makes Qt use
+Description: Qt 5 GTK+ 3 platform theme
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package provides the GTK+ 3 platform theme, which makes Qt use
  native icon themes, fonts, and dialogs on GTK-based environments.
 
 Package: libqt5network5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libssl1.0.2, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 network module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -152,7 +148,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -214,6 +210,17 @@
  .
  Install it if you intend to use or write Qt programs that are to access a
  MS SQL or Sybase SQL server.
+
+Package: libqt5sql5-ibase
+Architecture: kfreebsd-any linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Firebird database driver
+ This package contains the Firebird plugin for Qt 5.
+ .
+ Install it if you intend to use or write Qt programs that are to access a
+ Firebird/InterBase DB.
 
 Package: libqt5xml5
 Architecture: any
@@ -296,7 +303,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
-         libgles2-mesa-dev | libgles2-dev,
+         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
          libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
          libqt5concurrent5 (= ${binary:Version}),
          libqt5core5a (= ${binary:Version}),
@@ -314,9 +321,10 @@
          qtchooser,
          ${misc:Depends}
 Recommends: libqt5opengl5-dev (= ${binary:Version})
-Suggests: libegl1-mesa-dev,
+Suggests: default-libmysqlclient-dev,
+          firebird-dev,
+          libegl1-mesa-dev,
           libgl1-mesa-dev,
-          libmysqlclient-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
@@ -324,15 +332,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the header development files used for building Qt 5
- applications.
- .
- If you are interested in packaging Qt 5 stuff please take a look at
- http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html
-
-Package: qtbase5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libinput-dev [linux-any],
-         libxkbcommon-dev,
